Subject: Re: [PATCH 1/1] smsc95xx: add FLAG_POINTTOPOINT flag for driver_info

From: Ben Hutchings <[email-masked]>
Date: Thu, 17 May 2012 12:45:59 +0100

On Thu, 2012-05-17 at 16:40 +0800, Xiao Jiang wrote:
> Ben Hutchings wrote:
> > On Wed, 2012-05-16 at 16:01 +0800, [email-masked] wrote:
> >   
> >> From: Xiao Jiang <[email-masked]>
> >>
> >> commit c26134 introduced FLAG_POINTTOPOINT flag for USB ethernet devices
> >> which possibly use "usb%d" names, add this flag to make sure pandaboard
> >> can mount nfs with smsc95xx NIC.
> >>     
> >
> > These are normal Ethernet interfaces, whereas FLAG_POINTTOPOINT is for
> > devices that use non-standard short physical links.
> >
> >   
> This flag is used by some usb NICs, I amn't familiar with those cards 
> perhaps those are
> non-standard short physical links as you said.
> But smsc95xx seems need this flag to use "usb%d" name,

But this is a regular Ethernet interface and should be named
accordingly.

> at least my 
> pandaboard can't
> mount nfs with eth0 name, is there other ways to avoid nfs issue with 
> keep smsc95xx's
> name unchange? thanks.
[...]

I don't know what this NFS issue is, but I don't see how this can be the
correct solution.

Ben.

-- 
Ben Hutchings
Every program is either trivial or else contains at least one bug